Skip to main content
Get Project Member

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

id
integer<int32>
required

The id of the ProjectMember to return.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields.

Response

ProjectMember found.

A person can be a member of multiple projects, with a different comment and member type in each project. ProjectMember entity with API _Links added.

ProjectmemberId
integer<int32>

Primary key

ContactId
integer<int32>

Contact ID of person who is the project member

ProjectId
integer<int32>

Parent project - the project this project member belongs to.

ContactName
string

Contact name

ContactDepartment
string

Contact department

ProjectName
string

Name of the project this project member belongs to.

EmailId
integer<int32>

The person's email address id

EmailAddress
string

The e-mail address

CountryId
integer<int32>

Country

Firstname
string

First name

MiddleName
string

Middle name or 'van' etc.

Lastname
string

Last name

PersonId
integer<int32>

The person's id - primary key

Mrmrs
string

e.g. Mrs, Dr, Ms.

ProjectMemberTypeName
string

The projectmembers type name: 'secretary', 'member', etc.

Phone
string

Phone number

PhoneId
integer<int32>

The phone id

ProjectMemberTypeId
integer<int32>

ProjectMember Type Id - from the ProjectMemberType list. Use MDO List name "PMembType" to get list items.

EmailAddressName
string

The e-mail address description

Comment
string

Comment text on the project membership

FullName
string

The person's full name localized to the current culture/country. (internal name used in clients for employees)

Registered
string<date-time>

The date and time when the project member was registered in UTC.

Updated
string<date-time>

The date and time when the project member was last updated in UTC.

EventParticipantStatus
enum<string>

Reserved field for Lyyti event participants.

Available options:
NotAnEvent,
NotReacted,
ReactedNo,
ReactedYes,
Show,
NoShow
TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.